HEY(1)

NAME
hey - HTTP load generator, formerly known as rakyll/boom

SYNOPSIS
hey [options...] <url>

OPTIONS

-n  Number of requests to run. Default is 200.

-c  Number of requests to run concurrently. Total number of requests cannot be smaller than the concurrency level. Default is 50.

-q  Rate limit, in queries per second (QPS). Default is no rate limit.

-z  Duration of application to send requests. When duration is reached, application stops and exits. If duration is specified, n is ignored. Examples: -z 10s -z 3m.

-o  Output type. If none provided, a summary is printed. "csv" is the only supported alternative. Dumps the response metrics in comma-separated values format.

-m  HTTP method, one of GET, POST, PUT, DELETE, HEAD, OPTIONS.

-H  Custom HTTP header. You can specify as many as needed by repeating the flag. For example, -H "Accept: text/html" -H "Content-Type: application/xml" .

-t  Timeout for each request in seconds. Default is 20, use 0 for infinite.

-A  HTTP Accept header.

-d  HTTP request body.

-D  HTTP request body from file. For example, /home/user/file.txt or ./file.txt.

-T  Content-type, defaults to "text/html".

-a  Basic authentication, username:password.

-x  HTTP Proxy address as host:port.

-h2 Enable HTTP/2.

-host HTTP Host header.

-disable-compression
    Disable compression.

-disable-keepalive
    Disable keep-alive, prevents re-use of TCP connections between different HTTP requests.

-disable-redirects
    Disable following of HTTP redirects

-cpus
    Number of used cpu cores. (default for current machine is 4 cores)

SEE ALSO
The full documentation for hey is maintained as a Texinfo manual. If the info and hey programs are properly installed at your site, the command

    info hey

should give you access to the complete manual.